From 6d42b7e63b39a18c027ad1115033704f4084e0b9 Mon Sep 17 00:00:00 2001
From: Yuan Fu <casouri@gmail.com>
Date: Fri, 24 Feb 2023 20:59:04 -0800
Subject: [PATCH] Fix switch-case indentation in typescript-ts-mode (bug#61626)

* lisp/progmodes/typescript-ts-mode.el:
(typescript-ts-mode--indent-rules): Add indent rule for case and
default.
---
 lisp/progmodes/typescript-ts-mode.el | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/lisp/progmodes/typescript-ts-mode.el b/lisp/progmodes/typescript-ts-mode.el
index 5b49b8f50a8..1ce76cdf517 100644
--- a/lisp/progmodes/typescript-ts-mode.el
+++ b/lisp/progmodes/typescript-ts-mode.el
@@ -81,8 +81,14 @@ typescript-ts-mode--indent-rules
      ((parent-is "member_expression") parent-bol typescript-ts-mode-indent-offset)
      ((parent-is "named_imports") parent-bol typescript-ts-mode-indent-offset)
      ((parent-is "statement_block") parent-bol typescript-ts-mode-indent-offset)
+     ;; Children under "case:"
      ((parent-is "switch_case") parent-bol typescript-ts-mode-indent-offset)
+     ;; "case:"
+     ((node-is "switch_case") parent-bol 0)
+     ;; Children under "default:"
      ((parent-is "switch_default") parent-bol typescript-ts-mode-indent-offset)
+     ;; "default:"
+     ((node-is "switch_default") parent-bol 0)
      ((parent-is "type_arguments") parent-bol typescript-ts-mode-indent-offset)
      ((parent-is "variable_declarator") parent-bol typescript-ts-mode-indent-offset)
      ((parent-is "arguments") parent-bol typescript-ts-mode-indent-offset)
-- 
2.33.1

